Set max depth

- « RecursiveIteratorIterator::rewind

- RecursiveIteratorIterator::valid »

- PHP Manual
- RecursiveIteratorIterator
- Set max depth

# RecursiveIteratorIterator::setMaxDepth

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

RecursiveIteratorIterator::setMaxDepth — Set max depth

### Description

public RecursiveIteratorIterator::setMaxDepth(int `$maxDepth` = -1): void

Set the maximum allowed depth.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`maxDepth`

  The maximum allowed depth. `-1` is used for any depth.

### Return Values

No value is returned.

### Errors/Exceptions

Emits an Exception if `maxDepth` is less than `-1`.